Record a manual/offline payment (bank transfer / COD / cash) → paid
POST
/admin/v1/orders/{orderId}/payments
const url = 'https://your-store.example.com/admin/v1/orders/example/payments';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"method":"bank_transfer","amount":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/orders/example/payments \ --header 'Content-Type: application/json' \ --data '{ "method": "bank_transfer", "amount": 1 }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orderId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
method
required
string
amount
integer